DECLARE SUB Street6 ()
DECLARE SUB CannotGo ()
DECLARE SUB Street4 ()
DECLARE SUB Stats ()
DECLARE SUB CannotDo ()
DECLARE SUB Help ()
DECLARE SUB Inventory ()
DECLARE SUB Quit ()
DECLARE SUB RestoreInGame ()
DECLARE SUB SaveGame ()
'$INCLUDE: 'c:\bc7\programs\cyber\global.bi'

SUB Street5

RestoreRoom = 24
Room:
  CLS
  PRINT "The pavement here is cracked and pot-holed, making an uneven surface for"
  PRINT "driving.  The typical tall buildings loom overhead on either side of the street"
  PRINT "casting deep shadows.  Streetlights cast feeble light in an effort to dispell"
  PRINT "the gloom.  The street runs to the east and west."
Command:
  LINE INPUT "> "; a$: a$ = UCASE$(a$)
  IF a$ = "N" OR a$ = "NORTH" OR a$ = "GO NORTH" THEN CannotGo: GOTO Command
  IF a$ = "S" OR a$ = "SOUTH" OR a$ = "GO SOUTH" THEN CannotGo: GOTO Command
  IF a$ = "E" OR a$ = "EAST" OR a$ = "GO EAST" THEN Street6
  IF a$ = "W" OR a$ = "WEST" OR a$ = "GO WEST" THEN Street4
  IF a$ = "STATS" THEN Stats: GOTO Command
  IF a$ = "SEARCH" OR a$ = "SEARCH ROOM" THEN GOTO SearchRoom: GOTO Command
  IF a$ = "LOOK" THEN GOTO Room: GOTO Command
  IF a$ = "HELP" OR a$ = "?" THEN Help: GOTO Room
  IF a$ = "QUIT" OR a$ = "EXIT" THEN Quit: GOTO Command
  IF a$ = "I" OR a$ = "INVENTORY" THEN Inventory: GOTO Command
  IF a$ = "SAVE" OR a$ = "SAVE GAME" THEN SaveGame: GOTO Command
  IF a$ = "RESTORE" OR a$ = "RESTORE GAME" THEN RestoreInGame: GOTO Command
  CannotDo
  GOTO Command

SearchRoom:
  PRINT "You find nothing of interest."
  GOTO Command

END SUB

